API referenceTimeseries
POST /api/Timeseries/Post
Creates a new timeseries entry based on the provided timeseries information.
POST
/api/Timeseries/Postcurl -X POST "/api/Timeseries/Post" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"id": 0,
"externalId": null,
"upsampling": null,
"downsampling": null,
"source": "<<your_source>>",
"isActive": true,
"granularity": 3,
"type": 1,
"name": "<<your_timeseries_name>>",
"unitOfMeasurement": 7,
"tags": "{\"your_key\": \"your_value\"}"
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.Timeseries.TimeseriesExternalCreationDto
Response
application/json
Returns the created timeseries information.
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataEtrmApiGateway.DTOs.Timeseries.TimeseriesEntityExternalResponseDto
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": {
"id": 0,
"externalId": "string",
"name": "string",
"module": "string",
"guid": "string",
"granularityName": "string",
"granularity": -6,
"upsamplingName": "string",
"upsampling": 1,
"downsamplingName": "string",
"downsampling": 1,
"typeName": "string",
"type": 1,
"source": "string",
"unitName": "string",
"unit": 1,
"isActive": true,
"isCalculated": true,
"tags": "string"
}
}